# Class CIM_JobQueue
extends CIM_JobDestination

Status and configuration of a JobQueue. Jobs are held on a queue, and can move from queue to queue until being processed.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_JobDestination
|
+--CIM_JobQueue

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | Status and configuration of a JobQueue. Jobs are held on a queue, and can move from queue to queue until being processed.
UMLPackagePath | string | CIM::System::Processing
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
DefaultJobPriority | uint32 | 65535
Description | string | Specifies the priority that will be assigned to a new Job being submitted to this queue, if the Job does not explicitly specify a priority. Note that lower numbers indicate higher priorities. The default value of 0xFFFFFFFF is the lowest priority.
Write | boolean | true
MaxJobCPUTime | uint32 |
Description | string | Specifies the maximum number of milliseconds of CPU time that a Job queued to this destination can consume to complete its execution.
PUnit | string | second * 10^-3
Units | string | MilliSeconds
Write | boolean | true
MaxJobsOnQueue | uint32 | 0
Description | string | Specifies the maximum number of Jobs that can reside on this Queue. A value of 0 (the default) indicates that there is no maximum queue depth.
Write | boolean | true
MaxTimeOnQueue | datetime | 00000000000000.000000:000
Description | string | Specifies the maximum time (using a datetime interval format) that a Job can remain on this Queue before completing. If the MaxTimeOnQueue property is exceeded, then the Job SHOULD be removed from the Queue. A value of 0 (the default) indicates that there is no time limit.
Write | boolean | true
QueueStatus | uint16 |
Description | string | Provides queue-specific status information, beyond the ManagedSystemElement.OperationalStatus property. This property further qualifies the status of the queue, or indicates a secondary condition (e.g. queue full).
ModelCorrespondence | string | CIM_JobQueue.QueueStatusInfo
ValueMap | string | 0, 1, 2, 3
Values | string | Unknown, Other, No Additional Status, Queue Full
QueueStatusInfo | string |

Description

string

Provides a textual explanation for the status of the queue. Information about both QueueStatus and the OperationalStatus property (inherited from ManagedSystemElement) may be described in QueueStatusInfo. Note, however, that OperationalStatus' Descriptions (if available) MUST be provided in the StatusDescriptions array, inherited from ManagedSystemElement. This is where management clients will expect to locate this information.

ModelCorrespondence | string | CIM_JobQueue.QueueStatus

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_JobDestination
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_JobDestination
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_JobDestination
SystemName | string | CIM_JobDestination
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement